From 23eeeda9cb0a7f099b83a34f9ad373207d379db4 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Thu, 13 Jun 2019 10:51:24 -0500
Subject: [PATCH 1/2] New package: mhash-0.9.9.9

---
 common/shlibs          |  1 +
 srcpkgs/mhash-devel    |  1 +
 srcpkgs/mhash/template | 22 ++++++++++++++++++++++
 3 files changed, 24 insertions(+)
 create mode 120000 srcpkgs/mhash-devel
 create mode 100644 srcpkgs/mhash/template

diff --git a/common/shlibs b/common/shlibs
index 524b52be71c..76f587037f7 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3478,3 +3478,4 @@ libflite_cmulex.so.1 flite-2.1_1
 libgtk-4.so.0.9400.0 gtk4-3.94.0_1
 libmodule.so.4 libmodule-4.1.0_1
 libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1
+libmhash.so.2 mhash-0.9.9.9_1
diff --git a/srcpkgs/mhash-devel b/srcpkgs/mhash-devel
new file mode 120000
index 00000000000..ef5f71dac2a
--- /dev/null
+++ b/srcpkgs/mhash-devel
@@ -0,0 +1 @@
+mhash
\ No newline at end of file
diff --git a/srcpkgs/mhash/template b/srcpkgs/mhash/template
new file mode 100644
index 00000000000..5b6b2452cda
--- /dev/null
+++ b/srcpkgs/mhash/template
@@ -0,0 +1,22 @@
+# Template file for 'mhash'
+pkgname=mhash
+version=0.9.9.9
+revision=1
+build_style=gnu-configure
+short_desc="Uniform interface to a large number of hash algorithms"
+maintainer="Andrew Benson <abenson+void@gmail.com>"
+license="LGPL-2.1-or-later"
+homepage="http://mhash.sourceforge.net/"
+distfiles="$SOURCEFORGE_SITE/project/mhash/mhash/${version}/mhash-${version}.tar.bz2"
+checksum=56521c52a9033779154432d0ae47ad7198914785265e1f570cee21ab248dfef0
+
+mhash-devel_package() {
+	short_desc+=" - development files"
+	depends="${sourcepkg}>=${version}"
+	pkg_install() {
+		vmove usr/share
+		vmove usr/include
+		vmove "usr/lib/*.so"
+		vmove "usr/lib/*.a"
+	}
+}

From 9f67733a8436a2a1d6a00d36aa771f0734fff0ae Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Thu, 13 Jun 2019 11:00:04 -0500
Subject: [PATCH 2/2] New package: aide-0.16.2

---
 srcpkgs/aide/files/aide.conf | 146 +++++++++++++++++++++++++++++++++++
 srcpkgs/aide/template        |  26 +++++++
 2 files changed, 172 insertions(+)
 create mode 100644 srcpkgs/aide/files/aide.conf
 create mode 100644 srcpkgs/aide/template

diff --git a/srcpkgs/aide/files/aide.conf b/srcpkgs/aide/files/aide.conf
new file mode 100644
index 00000000000..b10f44bfa26
--- /dev/null
+++ b/srcpkgs/aide/files/aide.conf
@@ -0,0 +1,146 @@
+# Example configuration file for AIDE.
+#
+@@define DBDIR /var/lib/aide
+@@define LOGDIR /var/log/aide
+
+# The location of the database to be read.
+database=file:@@{DBDIR}/aide.db.gz
+
+# The location of the database to be written.
+#database_out=sql:host:port:database:login_name:passwd:table
+#database_out=file:aide.db.new
+database_out=file:@@{DBDIR}/aide.db.new.gz
+
+# Whether to gzip the output to database
+gzip_dbout=yes
+
+# Default.
+verbose=5
+
+report_url=file:@@{LOGDIR}/aide.log
+report_url=stdout
+#report_url=stderr
+# 
+# Here are all the attributes we can check
+#p:       permissions
+#i:       inode
+#n:       number of links
+#l:       link name
+#u:       user
+#g:       group
+#s:       size
+###b:        block count
+#m:       mtime
+#a:       atime
+#c:       ctime
+#S:       check for growing size
+#I:       ignore changed filename
+#ANF:     allow new files
+#ARF:     allow removed files
+#
+
+# Here are all the digests we can use
+#md5:           md5 checksum
+#sha1:          sha1 checksum
+#sha256:        sha256 checksum
+#sha512:        sha512 checksum
+#rmd160:        rmd160 checksum
+#tiger:         tiger checksum
+#haval:         haval checksum
+#crc32:         crc32 checksum
+#gost:          gost checksum
+#whirlpool:     whirlpool checksum
+
+# These are the default rules 
+#R:             p+i+l+n+u+g+s+m+c+md5
+#L:             p+i+l+n+u+g
+#E:             Empty group
+#>:             Growing logfile p+l+u+g+i+n+S
+
+# You can create custom rules - my home made rule definition goes like this 
+ALLXTRAHASHES = sha1+rmd160+sha256+sha512+whirlpool+tiger+haval+gost+crc32
+ALLXTRAHASHES = sha1+rmd160+sha256+sha512+tiger
+# Everything but access time (Ie. all changes)
+EVERYTHING = R+ALLXTRAHASHES
+
+# Sane, with multiple hashes
+# NORMAL = R+rmd160+sha256+whirlpool
+NORMAL = R+rmd160+sha256
+
+# For directories, don't bother doing hashes
+DIR = p+i+n+u+g+acl+xattrs
+
+# Access control only
+PERMS = p+i+u+g+acl
+
+# Logfile are special, in that they often change
+LOG = >
+
+# Just do md5 and sha256 hashes
+LSPP = R+sha256
+
+# Some files get updated automatically, so the inode/ctime/mtime change
+# but we want to know when the data inside them changes
+DATAONLY =  p+n+u+g+s+acl+xattrs+md5+sha256+rmd160+tiger
+
+
+# Next decide what directories/files you want in the database.
+
+/boot   NORMAL
+/bin    NORMAL
+/sbin   NORMAL
+/lib    NORMAL
+/lib64  NORMAL
+/opt    NORMAL
+/usr    NORMAL
+/root   NORMAL
+# These are too volatile
+!/usr/src
+!/usr/tmp
+
+# Check only permissions, inode, user and group for /etc, but
+# cover some important files closely.
+/etc    PERMS
+!/etc/mtab
+# Ignore backup files
+!/etc/.*~
+/etc/exports  NORMAL
+/etc/fstab    NORMAL
+/etc/passwd   NORMAL
+/etc/group    NORMAL
+/etc/gshadow  NORMAL
+/etc/shadow   NORMAL
+/etc/security/opasswd   NORMAL
+
+/etc/hosts.allow   NORMAL
+/etc/hosts.deny    NORMAL
+
+/etc/sudoers NORMAL
+/etc/skel NORMAL
+
+/etc/logrotate.d NORMAL
+
+/etc/resolv.conf DATAONLY
+
+/etc/nscd.conf NORMAL
+/etc/securetty NORMAL
+
+# Shell/X starting files
+/etc/profile NORMAL
+/etc/bashrc NORMAL
+/etc/bash_completion.d/ NORMAL
+/etc/login.defs NORMAL
+/etc/zprofile NORMAL
+/etc/zshrc NORMAL
+/etc/zlogin NORMAL
+/etc/zlogout NORMAL
+/etc/profile.d/ NORMAL
+/etc/X11/ NORMAL
+
+# Ignore logs
+!/var/lib/pacman/.*
+!/var/cache/.*
+!/var/log/.*  
+!/var/run/.*  
+!/var/spool/.*
+
diff --git a/srcpkgs/aide/template b/srcpkgs/aide/template
new file mode 100644
index 00000000000..411f3ff306a
--- /dev/null
+++ b/srcpkgs/aide/template
@@ -0,0 +1,26 @@
+# Template file for 'aide'
+pkgname=aide
+version=0.16.2
+revision=1
+build_style=gnu-configure
+configure_args="--with-mhash --with-posix-acl --with-prelink --with-xattr
+ --with-zlib --with-e2fsattrs --disable-static"
+conf_files="/etc/aide.conf"
+make_dirs="/var/lib/aide 0750 root root
+ /var/log/aide 0750 root root"
+hostmakedepends="flex bison"
+makedepends="pcre-devel mhash-devel acl-devel e2fsprogs-devel elfutils-devel zlib-devel"
+short_desc="File and directory integrity checker"
+maintainer="Andrew Benson <abenson+void@gmail.com>"
+license="GPL-2.0-or-later"
+homepage="https://aide.github.io/"
+distfiles="https://github.com/aide/aide/releases/download/v${version}/aide-${version}.tar.gz"
+checksum=17f998ae6ae5afb9c83578e4953115ab8a2705efc50dee5c6461cef3f521b797
+
+post_configure() {
+	vsed -i config.h -e 's/cross/ino_t/g'
+}
+
+post_install() {
+	vconf $FILESDIR/aide.conf
+}
